package com.diagbot.client.hystrix;

import com.diagbot.client.AIServiceClient;
import com.diagbot.client.bean.CalculateData;
import com.diagbot.client.bean.GdbResponse;
import com.diagbot.client.bean.Response;
import com.diagbot.client.bean.ResponseData;
import com.diagbot.vo.SearchVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Map;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2018/11/20 13:15
 */
@Component
@Slf4j
public class AIServiceHystrix implements AIServiceClient {
    /**
     * 推理
     *
     * @param searchVo
     * @return
     */
    @Override
    public Response<ResponseData> bayesPageData(SearchVo searchVo) {
        log.error("【hystrix】调用{}异常", "bayesPageData");
        return null;
    }

    /**
     * 量表推理
     *
     * @param searchVo
     * @return
     */
    @Override
    public Map<String, Object> scale(@RequestBody SearchVo searchVo) {
        log.error("【hystrix】调用{}异常", "scale");
        return null;
    }

    /**
     * 高危诊断
     *
     * @param searchVo
     * @return
     */
    @Override
    public Response<GdbResponse> highRiskPageData(@RequestBody SearchVo searchVo) {
        log.error("【hystrix】调用{}异常", "highRiskPageData");
        return null;
    }

    /**
     * 计算接口
     *
     * @param calculateData
     * @return
     */
    @Override
    public Map<String, Object> scaleCalc(@RequestBody CalculateData calculateData) {
        log.error("【hystrix】调用{}异常", "scaleCalc");
        return null;
    }
}
