package com.diagbot.facade;

import com.alibaba.fastjson.JSONObject;
import com.diagbot.dto.EvaluationDTO;
import com.diagbot.service.EvaluationService;
import com.diagbot.service.impl.EvaluationServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.vo.EvaluationDiseaseNameVO;
import com.diagbot.vo.SearchVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
public class EvaluationFacade extends EvaluationServiceImpl {

	@Autowired
	PushFacade pushFacade;
	@Autowired
	@Qualifier("evaluationServiceImpl")
	EvaluationService evaluationService;

	/**
	 * 获取管理与评估模板接口
	 *
	 * @param searchVo
	 * @return
	 */
	public List<EvaluationDTO> getEvaluationModule(SearchVo searchVo) {

		EvaluationDiseaseNameVO evaluationdiseaseNameVO = new EvaluationDiseaseNameVO();
		BeanUtil.copyProperties(searchVo, evaluationdiseaseNameVO);
		List<EvaluationDTO> evaluationList = evaluationService.getEvaluationModule(evaluationdiseaseNameVO);

		Map<String, JSONObject> jsonobject = pushFacade.getManagementEvaluationContent(searchVo);
		for (String key : jsonobject.keySet()) {
			for (EvaluationDTO evaluadata : evaluationList) {
				if (key.equals(evaluadata.getRegionName())) {
					evaluadata.setData(jsonobject.get(key));
				}
			}
		}
		return evaluationList;
	}
}