package com.diagbot.web;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.InquiryInfoFacade;
import com.diagbot.vo.SaveInquiryToHisVO;

import io.swagger.annotations.Api;
import springfox.documentation.annotations.ApiIgnore;

/**
 * <p>
 * 对接层问诊信息控制器
 * </p>
 *
 * @author rengb
 * @since 2019-3-18
 */
@RestController
@RequestMapping("/inquiryInfo")
@Api(value = "对接层-问诊信息API", tags = { "对接层-问诊信息API" })
@SuppressWarnings("unchecked")
public class InquiryInfoController {
	
	 @Autowired
	 private InquiryInfoFacade inquiryInfoFacade;
	 
	 /**
	  * 问诊记录保存
	  * @param saveInquiryToHisVO
	  * @return
	  */
	 @PostMapping("/saveInquiryToHis")
	 @SysLogger("saveInquiryToHis")
	 @Transactional
	 @ApiIgnore
	 public RespDTO<Boolean> saveInquiryToHis(@RequestBody SaveInquiryToHisVO saveInquiryToHisVO) {
	     return RespDTO.onSuc(inquiryInfoFacade.saveInquiryToHis(saveInquiryToHisVO));
	 }
	 

}
